unofficial mirror of bug-guix@gnu.org 
 help / color / mirror / Atom feed
* bug#43546: python-numba FTBFS
@ 2020-09-21 12:14 Efraim Flashner
  2020-11-14 16:43 ` Maxim Cournoyer
  0 siblings, 1 reply; 2+ messages in thread
From: Efraim Flashner @ 2020-09-21 12:14 UTC (permalink / raw)
  To: 43546


[-- Attachment #1.1: Type: text/plain, Size: 391 bytes --]

From the comment in python-xyz.scm:
;; Make sure to upgrade python-llvmlite in (gnu packages llvm) together with
;; python-numba.  They have a very unflexible relationship.


-- 
Efraim Flashner   <efraim@flashner.co.il>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

[-- Attachment #1.2: Type: message/rfc822, Size: 7486 bytes --]

From: "Hong.Li@mdc-berlin.de" <Hong.Li@mdc-berlin.de>
To: "help-guix@gnu.org" <help-guix@gnu.org>
Subject: failed to install the python-umap-learn package
Date: Mon, 21 Sep 2020 11:23:19 +0000
Message-ID: <e65fa7565a1a4bcb914f96f7b63ec4c6@mdc-berlin.de>

Dear developers,


I had a failure when installing python-umap-learn in guix. It took very long time in the 'check' phase.

The error does not change before and after 'guix pull'. Could you please tell me how to solve this problem?

Thanks in advance! Please see the screen output below:


$ guix package -i python-umap-learn

The following package will be installed:
   python-umap-learn 0.3.10

The following derivations will be built:
   /gnu/store/4sbifbl79yy6xnbnkvj0hvc3i2mp6jcj-python-umap-learn-0.3.10.drv
   /gnu/store/ra7xx13ni736p0kvcsbhsl0g9yhy4d68-python-numba-0.46.0.drv
building /gnu/store/ra7xx13ni736p0kvcsbhsl0g9yhy4d68-python-numba-0.46.0.drv...
- 'check' phasebuilder for `/gnu/store/ra7xx13ni736p0kvcsbhsl0g9yhy4d68-python-numba-0.46.0.drv' failed with exit code 1
build of /gnu/store/ra7xx13ni736p0kvcsbhsl0g9yhy4d68-python-numba-0.46.0.drv failed
View build log at '/gnu/var/log/guix/drvs/ra/7xx13ni736p0kvcsbhsl0g9yhy4d68-python-numba-0.46.0.drv'.
guix package: error: build of `/gnu/store/ra7xx13ni736p0kvcsbhsl0g9yhy4d68-python-numba-0.46.0.drv' failed

$ guix package -i python-numba

The following package will be installed:
   python-numba 0.46.0

The following derivation will be built:
   /gnu/store/ra7xx13ni736p0kvcsbhsl0g9yhy4d68-python-numba-0.46.0.drv
building /gnu/store/ra7xx13ni736p0kvcsbhsl0g9yhy4d68-python-numba-0.46.0.drv...
- 'check' phasebuilder for `/gnu/store/ra7xx13ni736p0kvcsbhsl0g9yhy4d68-python-numba-0.46.0.drv' failed with exit code 1
build of /gnu/store/ra7xx13ni736p0kvcsbhsl0g9yhy4d68-python-numba-0.46.0.drv failed
View build log at '/gnu/var/log/guix/drvs/ra/7xx13ni736p0kvcsbhsl0g9yhy4d68-python-numba-0.46.0.drv'.
guix package: error: build of `/gnu/store/ra7xx13ni736p0kvcsbhsl0g9yhy4d68-python-numba-0.46.0.drv' failed

$ guix -V
guix (GNU Guix) 90492a9f13b4b8eaa6025d5a18e0b130cf257dbe

best regards,
Hong

[-- Attachment #2: signature.asc --]
[-- Type: application/pgp-signature, Size: 833 bytes --]

^ permalink raw reply	[flat|nested] 2+ messages in thread

* bug#43546: python-numba FTBFS
  2020-09-21 12:14 bug#43546: python-numba FTBFS Efraim Flashner
@ 2020-11-14 16:43 ` Maxim Cournoyer
  0 siblings, 0 replies; 2+ messages in thread
From: Maxim Cournoyer @ 2020-11-14 16:43 UTC (permalink / raw)
  To: Efraim Flashner; +Cc: 43546-done

Hi,

Efraim Flashner <efraim@flashner.co.il> writes:

> From the comment in python-xyz.scm:
> ;; Make sure to upgrade python-llvmlite in (gnu packages llvm) together with
> ;; python-numba.  They have a very unflexible relationship.

I've updated python-llvmlite and python-numba, they now build
successfully and pass their test suite.

Closing.

Thanks for the report!

Maxim




^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2020-11-14 16:44 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2020-09-21 12:14 bug#43546: python-numba FTBFS Efraim Flashner
2020-11-14 16:43 ` Maxim Cournoyer

unofficial mirror of bug-guix@gnu.org 

This inbox may be cloned and mirrored by anyone:

	git clone --mirror https://yhetil.org/guix-bugs/0 guix-bugs/git/0.git

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V2 guix-bugs guix-bugs/ https://yhetil.org/guix-bugs \
		bug-guix@gnu.org
	public-inbox-index guix-bugs

Example config snippet for mirrors.
Newsgroups are available over NNTP:
	nntp://news.yhetil.org/yhetil.gnu.guix.bugs
	nntp://news.gmane.io/gmane.comp.gnu.guix.bugs


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git